<!DOCTYPE html>
{% load static %}
<html>
<head>
    <title>Shooping Cart Application</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
	<script type="text/javascript">
		var user = '{{ request.user }}'
		function getCookie(name) {
			let cookieValue = null;
			if (document.cookie && document.cookie !== '') {
				const cookies = document.cookie.split(';');
				for (let i = 0; i < cookies.length; i++) {
					const cookie = cookies[i].trim();
					if (cookie.substring(0, name.length + 1) === (name + '=')) {
						cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
						break;
					}
				}
			}
			return cookieValue;
		}
		var csrftoken = getCookie('csrftoken');
	</script>
</head>
<body>
	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
	  <a class="navbar-brand" href="#">Shopping Cart Application</a>
	  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
	    <span class="navbar-toggler-icon"></span>
	  </button>

	  <div class="collapse navbar-collapse" id="navbarSupportedContent">
	    <ul class="navbar-nav mr-auto">
	      <li class="nav-item active">
	        <a class="nav-link" href="{% url 'display-store' %}">Store<span class="sr-only">(current)</span></a>
	      </li>
		  {% if request.user.is_authenticated and request.user.is_shop_user and request.user.shop_user_status == "approved" %}
			  <li class="nav-item active">
				<a class="nav-link" href="{% url 'shopuser-dashboard' %}">Dashboard</a>
			  </li>
		  {% endif %}
		  {% if request.user.is_authenticated and request.user.is_customer %}
			  <li class="nav-item active">
				<a class="nav-link" href="{% url 'display-orders' %}">Check Orders</a>
			  </li>
		  {% endif %}
	    </ul>
		{% block cart %}
		{% endblock cart %}
	    <form class="form-inline my-2 my-lg-0" method="get" action="{% url 'display-store' %}">
	      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="search-query">
	      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
	    </form>
		{% if not request.user.is_authenticated %}
			<div class="form-inline my-2 my-lg-0">
				<a class="btn my-2 my-sm-0" style="color: white" href="{% url 'account_login' %}">Login</a>
			</div>
		  	<br>
		  	<div class="form-inline my-2 my-lg-0">
				<a class="btn my-2 my-sm-0" style="color: white" href="{% url 'account_signup' %}">Register</a>
			</div>
		{% else %}
		  	<div class="form-inline my-2 my-lg-0">
				<a class="btn my-2 my-sm-0" style="color: white" href="{% url 'account_logout' %}">Logout</a>
			</div>
		{% endif %}
	  </div>
	</nav>
    <div class="container-fluid">
        <br>
        {% block content %}
        {% endblock content %}
    </div>
	<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
	<script type="text/javascript" src="{% static 'js/cart.js' %}"></script>
</body>
</html>